Bug 1837397 - Can't install "nagios-plugins-all" because "perl-Convert-ASN1" is missing for RHEL 8 / CentOS 8
Summary: Can't install "nagios-plugins-all" because "perl-Convert-ASN1" is missing for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-19 12:39 UTC by drazenko.djuricic
Modified: 2020-06-11 18:36 UTC (History)
7 users (show)

Fixed In Version: nagios-plugins-2.3.3-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-11 18:36:03 UTC
Type: Bug


Attachments (Terms of Use)

Description drazenko.djuricic 2020-05-19 12:39:32 UTC
Description of problem:
I'm trying to get "nagios-plugins-all" installed on a fresh CentOS 8.1.1911 installation. This fails because ultimately the package "perl-Convert-ASN1" is not available for CentOS 8

Version-Release number of selected component (if applicable):


How reproducible:

yum --enablerepo=epel,epel-testing,PowerTools install perl-utf8-all  perl-Import-Into perl-PerlIO-utf8_strict nagios-plugins-all nagios-plugins-ssl_validity perl-Crypt-X509

Last metadata expiration check: 0:19:49 ago on Tue 19 May 2020 01:35:08 PM CEST.
Package perl-utf8-all-0.024-7.el8.noarch is already installed.
Package perl-Import-Into-1.002005-7.el8.noarch is already installed.
Package perl-PerlIO-utf8_strict-0.007-5.el8.x86_64 is already installed.
Error:
 Problem 1: conflicting requests
  - nothing provides perl(Convert::ASN1) >= 0.19 needed by perl-Crypt-X509-0.51-19.el8.noarch
 Problem 2: package nagios-plugins-ssl_validity-2.3.3-1.el8.x86_64 requires perl(Crypt::X509), but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Convert::ASN1) >= 0.19 needed by perl-Crypt-X509-0.51-19.el8.noarch
 Problem 3: package nagios-plugins-all-2.3.3-1.el8.x86_64 requires nagios-plugins-ssl_validity, but none of the providers can be installed
  - package nagios-plugins-ssl_validity-2.3.3-1.el8.x86_64 requires perl(Crypt::X509), but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Convert::ASN1) >= 0.19 needed by perl-Crypt-X509-0.51-19.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Steps to Reproduce:
There is no "perl-Convert-ASN1" package that would provide "perl(Convert::ASN1) >= 0.19"


Actual results:
Installation of "nagios-plugins-all" fails as no package "perl-Convert-ASN1" exists (dependency hell)

Expected results:
Package "nagios-plugins-all" should be installable as it was before. There ought to be a package "perl-Convert-ASN1" like there is one for CentOS 7.x

Additional info:
This used to work a few weeks ago. Was the package removed from the repos?? If yes please re-add it again or provide a viable workaround.

Comment 1 Martin Jackson 2020-05-19 14:04:07 UTC
perl-Convert-ASN1 does indeed seem to have gone missing.  I've opened https://pagure.io/fedora-infrastructure/issue/8928 to investigate.

Comment 2 R P Herrold 2020-05-19 14:28:39 UTC
fwiw, the F29 (during the stabilization of RHEL 8) version still builds and installs trivially, as a workaround

/var/ftp/pub/nfs/mirror/redhat/fedora/29/os/SRPMS/p/perl-Convert-ASN1-0.27-12.fc29.src.rpm

Comment 3 Martin Jackson 2020-05-19 14:32:50 UTC
It was retired.  I will issue a new build that drops the subpackage and its dep on nagios-plugins-all.

Comment 4 Fedora Update System 2020-05-20 02:12:14 UTC
FEDORA-2020-94623934bc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-94623934bc

Comment 5 Fedora Update System 2020-05-20 03:06:18 UTC
FEDORA-2020-85e305fc8b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-85e305fc8b

Comment 6 Fedora Update System 2020-05-20 03:32:49 UTC
FEDORA-EPEL-2020-053f143928 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-053f143928

Comment 7 Fedora Update System 2020-05-20 03:39:17 UTC
FEDORA-EPEL-2020-10be5c2a86 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-10be5c2a86

Comment 8 Fedora Update System 2020-05-20 03:46:07 UTC
FEDORA-EPEL-2020-73b363a4f2 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-73b363a4f2

Comment 9 Fedora Update System 2020-05-21 04:16:06 UTC
FEDORA-2020-85e305fc8b has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-85e305fc8b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-85e305fc8b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-21 04:23:08 UTC
FEDORA-EPEL-2020-10be5c2a86 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-10be5c2a86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-21 04:23:34 UTC
FEDORA-EPEL-2020-73b363a4f2 has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-73b363a4f2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-21 04:32:35 UTC
FEDORA-EPEL-2020-053f143928 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-053f143928

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-21 05:23:15 UTC
FEDORA-2020-94623934bc has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-94623934bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-94623934bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 info 2020-05-24 16:47:17 UTC
I assume the only issue is, that Centos did not release the 8.2.
This package made it to base repo (AppStream) thus must not be provideded by EPEL any longer.
For centos it is avalable only in Stream variant now till the 8.2 is released where this is officially supported package.

Comment 15 Martin Jackson 2020-05-24 17:42:24 UTC
All the Fedora-related branches have retired the package, so it's not installable in EL 6 or 7 either, nor in any Fedora release.

https://bugzilla.redhat.com/show_bug.cgi?id=1821879


The issue being addressed here is the fact that plugins-all isn't installable without perl-Convert-ASN1 (effectively).  Even if it does show up in 8.2 (eventually), I'm not sure adding that plugin back will be the right thing to do.

I also realized that I need to add an Obosletes: line to the nagios-plugins package to properly handle the transition.  So I'll have to rebuilt it all again (sorry for the noise).

Of people on this bug, does anyone feel strongly about the check_ssl_validity plugin itself?

Comment 16 info 2020-05-24 18:09:11 UTC
(In reply to Martin Jackson from comment #15)
> All the Fedora-related branches have retired the package, so it's not
> installable in EL 6 or 7 either, nor in any Fedora release.
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1821879
> 
> 
> The issue being addressed here is the fact that plugins-all isn't
> installable without perl-Convert-ASN1 (effectively).  Even if it does show
> up in 8.2 (eventually), I'm not sure adding that plugin back will be the
> right thing to do.
> 
> I also realized that I need to add an Obosletes: line to the nagios-plugins
> package to properly handle the transition.  So I'll have to rebuilt it all
> again (sorry for the noise).
> 
> Of people on this bug, does anyone feel strongly about the
> check_ssl_validity plugin itself?

Hmm no not really.. To all of Your points.

1st it is not retired, it just made it to official repos. Available in alle supported EL releases (6-8).
For redhat/centos 8: https://bugzilla.redhat.com/show_bug.cgi?id=1821882
For Fedora 30-32 in Official:
https://download-ib01.fedoraproject.org/pub/fedora/linux/releases/30/Everything/x86_64/os/Packages/p/perl-Convert-ASN1-0.27-13.fc30.noarch.rpm
https://download-ib01.fedoraproject.org/pub/fedora/linux/releases/31/Everything/x86_64/os/Packages/p/perl-Convert-ASN1-0.27-15.fc31.noarch.rpm
https://download-ib01.fedoraproject.org/pub/fedora/linux/releases/32/Everything/x86_64/os/Packages/p/perl-Convert-ASN1-0.27-18.fc32.noarch.rpm
Thought there is the bug ticket so it will need a patch...

The ticket is adressing the issue that the dependency is missiing and not complaining about including a plugin in nagios-plugins-all that has another valid deendency, which is very ok for me (it's called "all").

About the plugin itself, we do not use it till now but if there is a requirement, it is fine.

Comment 17 Martin Jackson 2020-05-24 18:57:45 UTC
You're right, I seem to have over-reacted a bit.  Thanks for setting me straight.

I can re-instate the check_ssl_validity plugin for the other releases.  I can make the epel8 version obsolete check_ssl_validity for now, and then reinstate it when 8.2 releases.  That should address both the instability issue and still provide the plugin for those who wish to use it.  I think I still need to obsolete the ssl plugin in the epel8 build temporarily.  I'll issue new builds soon-ish - they'll update here when I post them.

Comment 18 Fedora Update System 2020-05-24 21:08:39 UTC
FEDORA-EPEL-2020-fda19f40be has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fda19f40be

Comment 19 Martin Jackson 2020-05-24 21:42:37 UTC
Fixed version in https://copr.fedorainfracloud.org/coprs/mhjacks/nagios-packages/ for epel8 with proper obsoletes, if anyone wants to try it before it goes through the regular cycle.

Comment 20 Fedora Update System 2020-05-25 03:00:07 UTC
FEDORA-EPEL-2020-fda19f40be has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fda19f40be

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-06-11 18:36:03 UTC
nagios-plugins-2.3.3-3.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.